## xball 3.0.1

=== debian/changelog ===
xball (3.0.1-2) unstable; urgency=medium

  * QA upload.
  * Change maintainer to Debian QA Group because the package has been orphaned.
  * Acknowledge NMU by Luk Claes. Thanks! (Closes: #722945)
  * Switch to compat level 10.
  * wrap-and-sort -sa.
  * Declare compliance with Debian Policy 4.1.0.
  * Drop deprecated menu file. Convert xpm icon to png and install it into the
    hicolor icon directory.
  * Drop debian/README. No longer useful.
  * Simplify debian/rules and use dh sequencer.
  * Provide a desktop file. (Closes: #738054)
  * Fix FTBFS with the clang compiler.
    Thanks to Piotr Sokołowski for the patch. (Closes: #742972)
  * Homepage field: Point to tracker.debian.org.
  * Add man-page-spelling.patch and fix a minor spelling mistake in xball.man.
  * export DEB_CFLAGS_MAINT_APPEND = -std=gnu89 otherwise the game will
    segfault with newer versions of the C standard.
  * Install data files into /usr/share/games/xball.
  * Add implicit-declaration.patch and fix various compiler warnings about
    implicit declarations.

 -- Markus Koschany <apo@debian.org>  Wed, 13 Sep 2017 05:24:18 +0200

xball (3.0.1-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Drop dependency on menu (Closes: #647387, #624857).
  * Transition from lesstif2 to motif (Closes: #714673).

 -- Luk Claes <luk@debian.org>  Sat, 14 Sep 2013 18:56:07 +0200

xball (3.0.1-1.1) unstable; urgency=low

  [ Jari Aalto ]
  * Non-maintainer upload.
    - Move to packaging format "3.0 (quilt)".
  * debian/compat
    - Update to 7.
  * debian/control
    - (Build-Depends): update obsolete xutils to xutils-dev
      (important; Closes: #578967).
      Update to debhelper 7.1. Add autotools-dev.
    - (Depends): add ${misc:Depends}.
    - (Standards-Version): Update to 3.8.4.
    - (xball::Section): Remove duplicate section.
  * debian/patches
    - (Number 10): Fix spelling errors.
  * debian/rules
    - (configure-stamp): use newest config.* files.
    - (install): Change dh_clean to dh_prep.
  * debian/source/format
   - New file

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 08 May 2010 22:50:10 +0300

xball (3.0.1-1) unstable; urgency=low

  * New upstream release, consolidates all 3.0 patches
    - Change debhelper compat from 4 to 5
    - Change standards version to 3.7.3
    - Change to three part numbering, new version is 3.0.1
    - Get xball version number from changelog, see rules file for details
    - Cleanup some of the old pre-autoconf cruft
    - Fix rules, Lintian was giving debian-rules-ignores-make-clean-error
  * upload sponsored by Branden Robinson <branden@debian.org>

 -- Stephen Birch <sgbirch@imsmail.org>  Sun,  9 Dec 2007 22:01:23 +0000

xball (3.0-18) unstable; urgency=low

  * Remove strange vi file from debian directory, :visual

 -- Stephen Birch <sgbirch@imsmail.org>  Wed, 21 Nov 2007 22:34:23 +0000

xball (3.0-17) unstable; urgency=low

  * Apply NMU patch, merge with upstream
  * Change standards version to 3.7.2

 -- Stephen Birch <sgbirch@imsmail.org>  Tue, 20 Nov 2007 00:37:52 +0000

xball (3.0-16.1) unstable; urgency=low

  * NMU to fix RGB_TXT and all other references to point to /etc/X11/rgb.txt,
    as it is in x11-common. (Closes: #377652).
  * Added the demo files to the documentation.

 -- Margarita Manterola <marga@debian.org>  Thu, 13 Jul 2006 19:32:23 -0300

xball (3.0-16) unstable; urgency=high

  * Update to add patch in "NMU" 3.0-15.1 (closes: #303337)

 -- Stephen Birch <sgbirch@imsmail.org>  Thu, 14 Apr 2005 11:38:18 +0100

xball (3.0-15.1) unstable; urgency=low

  * NMU - Thanks Paul for the patch! (SGB)
  * Adds 'rm -rf .deps' to debian/rules clean (closes: #303337)

 -- Paul Brossier <piem@altern.org>  Wed, 13 Apr 2005 03:09:43 +0100

xball (3.0-15) unstable; urgency=low

  * Add libxt-dev to build-depends to arm can build

 -- Stephen Birch <sgbirch@imsmail.org>  Wed, 23 Mar 2005 14:38:15 +0000

xball (3.0-14) unstable; urgency=low

  * Make demo_start() static declaration (closes: #288656)
  * Added config.guess and config.sub from automake1.4
  * Added content to NEWS and ChaneLog so patch creates them

 -- Stephen Birch <sgbirch@imsmail.org>  Wed, 23 Feb 2005 08:51:33 +0000

xball (3.0-13) unstable; urgency=low

  * Use gettimeofday() to compute consistant delay

 -- Stephen Birch <sgbirch@imsmail.org>  Tue, 21 Dec 2004 15:06:29 +0000

xball (3.0-12) unstable; urgency=low

  * chmod +x missing to rules (closes: #283269)
  * Run 'make distclean' from clean target in rules

 -- Stephen Birch <sgbirch@imsmail.org>  Sun, 28 Nov 2004 08:28:49 -0500

xball (3.0-11) unstable; urgency=low

  * Fix more automake problems (NEWS and ChangeLog files)

 -- Stephen Birch <sgbirch@imsmail.org>  Sun, 28 Nov 2004 08:26:19 -0500

xball (3.0-10) unstable; urgency=low

  * Make configure executable in rules file

 -- Stephen Birch <sgbirch@imsmail.org>  Thu, 25 Nov 2004 12:48:31 +0000

xball (3.0-9) unstable; urgency=low

  * More minor changes to makefile system

 -- Stephen Birch <sgbirch@imsmail.org>  Mon, 22 Nov 2004 17:34:48 +0000

xball (3.0-8) unstable; urgency=low

  * Run autoconf prior to uploading to debian
  * Remove automake, autoconf1.9 dependency

 -- Stephen Birch <sgbirch@imsmail.org>  Mon, 22 Nov 2004 17:09:48 +0000

xball (3.0-7) unstable; urgency=low

  * hard code automake to automake1.9 (closes: #272239)

 -- Stephen Birch <sgbirch@imsmail.org>  Mon,  1 Nov 2004 04:41:45 -0500

xball (3.0-6) unstable; urgency=low

  * Compile againt lesstif2 instead of lesstif (closes: #269285)
  * Change automaken dependancy to automake

 -- Stephen Birch <sgbirch@xeon.uk.imsmail.org>  Fri,  3 Sep 2004 11:29:57 +0100

xball (3.0-5) unstable; urgency=low

  * Remove postinst and preinst file, not required
  * Update rules file to be policy complient
  * Closes: #244289: Package includes non-free source code.
  * Closes: #256422: Missing Build-Depends

 -- Stephen Birch <sgbirch@xeon.uk.birch.ws>  Sun, 27 Jun 2004 11:06:34 +0100

xball (3.0-4) unstable; urgency=low


