=== debian/control ===
Source: xball
Section: games
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper (>= 10),
 libmotif-dev,
 libxmu-dev,
 libxt-dev,
 xutils-dev
Standards-Version: 4.1.0
Homepage: https://tracker.debian.org/pkg/xball

Package: xball
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Simulate bouncing balls in a window
 A simple educational game that simulates bouncing balls in a window. Gravity,
 elasticity, and ability to collide can all be adjusted.
 .
 Young children enjoy watching the balls bounce around the screen and are
 fascinated by the program. This is an ideal program for teaching rudimentary
 mouse skills to very young children.
