=== debian/changelog ===
xball (3.0.1+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:37:47 +1100

xball (3.0.1+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libxt6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 00:59:18 +0000

xball (3.0.1+dfsg-1) unstable; urgency=medium

  * QA upload.
  * Removed non DFSG-compliant files act_area.c and act_area.h from source.
    (Closes: #244289)
  * debian/README.source: created to explain about the removal of the non
    DFSG-compliant files from source.

 -- David da Silva Polverari <polverari@debian.org>  Mon, 31 Jul 2023 02:12:15 -0300

xball (3.0.1-3) unstable; urgency=medium

  * QA upload.
  * debian/control: bumped Standards-Version to 4.6.2.

 -- David da Silva Polverari <polverari@debian.org>  Tue, 25 Jul 2023 02:54:00 +0000
