## xball 3.0.1+dfsg

=== debian/changelog ===
xball (3.0.1+dfsg-2) unstable; urgency=medium

  * QA upload.

  * Updated vcs in d/control to Salsa.
  * Added d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.6.2 to 4.7.0.
  * Switched to new upstream project https://github.com/JoesCat/xball/.
    (Closes: #992887)
  * Flagged that source can build without root access in d/control.
  * Switched to debhelper compat level 13 and enabled hardening.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 18 Apr 2024 00:38:22 +0200
