=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 # Don't remove this line otherwise the game will segfault with newer C
 # standards. This issue surfaced with the switch to GCC 7. Please fix the code.
 export DEB_CFLAGS_MAINT_APPEND = -std=gnu89
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 include /usr/share/dpkg/pkg-info.mk
