## xball 3.1.0+dfsg

=== debian/changelog ===
xball (3.1.0+dfsg-3) unstable; urgency=medium

  * Adopt game inside Games team (Closes: #1098987)
  * Use full path in .desktop file (Closes: #1098987)
  * Reformat d/control with debputy

 -- Alexandre Detiste <tchet@debian.org>  Thu, 27 Feb 2025 07:56:22 +0100

xball (3.1.0+dfsg-2) unstable; urgency=medium

  * QA upload.
  * debian/gbp.conf: set debian-branch to describe repository layout in
    accordance with DEP-14 recommendations.
  * debian/salsa-ci.yml: created to use Salsa CI Team's default pipeline.
  * debian/upstream/metadata: created to provide metadata about upstream.

 -- David da Silva Polverari <polverari@debian.org>  Sat, 15 Jun 2024 04:41:36 +0000

xball (3.1.0+dfsg-1) unstable; urgency=medium

  * QA upload.

  * New upstream version 3.1.0+dfsg
    - Refreshed and dropped patches to match new upstream version.
  * Converted d/copyright to machine readable format.
  * Adjust handling of Appstream metainfo XML installation and copyright.
  * Added 1020-man-incorrect-name.patch to install man page with correct
    file name.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 23 May 2024 08:05:24 +0200
