=== debian/control ===
Source: xball
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Alexandre Detiste <tchet@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libmotif-dev,
 libxmu-dev,
 libxt-dev,
 xutils-dev,
Standards-Version: 4.7.0
Homepage: https://github.com/JoesCat/xball/
Vcs-Browser: https://salsa.debian.org/games-team/xball
Vcs-Git: https://salsa.debian.org/games-team/xball.git
Rules-Requires-Root: no
X-Style: black

Package: xball
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Simulate bouncing balls in a window
 A simple educational game that simulates bouncing balls in a window. Gravity,
 elasticity, and ability to collide can all be adjusted.
 .
 Young children enjoy watching the balls bounce around the screen and are
 fascinated by the program. This is an ideal program for teaching rudimentary
 mouse skills to very young children.
