=== debian/rules ===
--- 
+++ 
@@ -19,3 +19,7 @@
 
 override_dh_auto_build:
 	dh_auto_build -- VERSION=$(DEB_VERSION_UPSTREAM)
+
+execute_after_dh_auto_install:
+# Remove obsolete and redundant file.
+	$(RM) debian/xball/usr/share/appdata/xball.appdata.xml
